Divio Cloud offers Beta support for PostGIS/GeoDjango. To activate it, the following requirements need to be fulfilled:

  • Divio CLI 2.3.2 (or higher)
  • Baseproject 3.15 (or higher)
  • Divio Django 1.8.13.7 (or higher) or 1.9.7.8 (or higher)
  • Enable django.contrib.gis in the Aldryn Django Addon configuration

Please contact support to enable PostGIS for your project.

For local development edit your docker-compose.yml  file to refer to mdillon/postgis - for example, change:

db:
 image: postgres:9.6

to:

db:
 image: mdillon/postgis:9.6

(You are advised to keep the same version number.)

Did this answer your question?